﻿Imports System.Collections.Specialized
Imports System.Media

Public Class Form1
    ' Paste whatever data is available from the clipboard.
    Private Sub btnPaste_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPaste.Click
        ' Clear previous results.
        txtData.Clear()
        lstFiles.Items.Clear()
        picData.Image = Nothing

        ' Paste the text if available.
        If Clipboard.ContainsText() Then txtData.Text = Clipboard.GetText()

        ' Paste the picture if available.
        If Clipboard.ContainsImage() Then picData.Image = Clipboard.GetImage()

        ' Paste file drop list if available.
        If Clipboard.ContainsFileDropList() Then
            Dim files As StringCollection = Clipboard.GetFileDropList()
            For Each filename As String In files
                lstFiles.Items.Add(filename)
            Next filename
        End If

        ' Paste audio if available.
        If Clipboard.ContainsAudio() Then
            Using player As New SoundPlayer(Clipboard.GetAudioStream())
                player.Play()
            End Using
        End If

        ' Make the form big enough to show the image.
        Me.ClientSize = New Size(Me.ClientSize.Width, picData.Bottom + 8)
    End Sub
End Class
